<?php
App::uses('EvShopAppController', 'EvShop.Controller');

class BrandsController extends EvShopAppController {

	protected function _adminFilterFields() {
		$fields = parent::_adminFilterFields();

		unset(
			$fields['Brand.id'],
			$fields['Brand.created'],
			$fields['Brand.modified']
		);

		return $fields;
	}

	/**
	 * redefine to allow the index / view page through the auth component!
	 */
	public function beforeFilter() {
		parent::beforeFilter();

		$this->Auth->allow(array('index', 'view'));
	}

	/**
	 * brands index page
	 * list all brands out
	 *
	 */
	public function index() {
		$this->view = 'EvShop./brands/index';
		$pageId = Configure::read('EvShop.pageIds.brand');

		// check if we have a specific content page set
		// if so - set the template
		if (! empty($pageId)) {
			$pageData = $this->assignPage($pageId);

			if (! empty($pageData)) {
				$this->view = $this->Tpl->getTemplate($data, 'Page');
			}
		}



	}
}
